.consent-footer {
  position: fixed;
  bottom: 0;
  inset-inline: auto 0;
  z-index: 500;
  margin: var(--spacing-xs);
  padding: var(--spacing-xs);
  max-width: 800px;
  border: solid 1px var(--theme-border-color-soft);
  border-radius: var(--radius-md);
  box-shadow: 0 0 40px color-mix(in oklch, var(--theme-text-color-primary) 30%, transparent);

  @media (width > 700px) {
    margin: var(--spacing-s);
    padding: var(--spacing-s);
  }
}

.consent-footer__content {
  margin-bottom: var(--spacing-xs);
}

.consent-footer__text {
  font-size: var(--body-s-size);
  font-weight: var(--body-s-weight);
  line-height: var(--body-s-line-height);
  letter-spacing: var(--body-s-letter-spacing);
  font-family: var(--body-s-font-family);
}

.consent-footer__actions {
  display: flex;
  gap: var(--spacing-xxs);
}
